package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Goods;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class SubjectGoodsDto {
    @ApiModelProperty(value = "列表编号",required = false)
    private Integer subjectGoodsMapperId;

    @ApiModelProperty(value = "科目编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "科目名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "商品分类编号",required = false)
    private Integer goodsCategoryId;

    @ApiModelProperty(value = "商品分类名称",required = false)
    private String goodsCategoryName;

    private List<Goods> goodsList;

    @ApiModelProperty(value = "乐器列表",required = false)
    private List<Goods> instrument;

    @ApiModelProperty(value = "辅件列表",required = false)
    private List<Goods> accessories;

    public List<Goods> getGoodsList() {
        return goodsList;
    }

    public void setGoodsList(List<Goods> goodsList) {
        this.goodsList = goodsList;
    }

    public Integer getSubjectGoodsMapperId() {
        return subjectGoodsMapperId;
    }

    public void setSubjectGoodsMapperId(Integer subjectGoodsMapperId) {
        this.subjectGoodsMapperId = subjectGoodsMapperId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public String getGoodsCategoryName() {
        return goodsCategoryName;
    }

    public void setGoodsCategoryName(String goodsCategoryName) {
        this.goodsCategoryName = goodsCategoryName;
    }

    public List<Goods> getInstrument() {
        return instrument;
    }

    public void setInstrument(List<Goods> instrument) {
        this.instrument = instrument;
    }

    public List<Goods> getAccessories() {
        return accessories;
    }

    public void setAccessories(List<Goods> accessories) {
        this.accessories = accessories;
    }
}
